SWFieldManager Class Reference

the main class to read/. More...

`#include <SWFieldManager.hxx>`

## Public Member Functions

| SWFieldManager ()
| constructor
virtual | ~SWFieldManager ()
| destructor
std::shared_ptr< SWFieldManagerInternal::Field > | readField (StarZone &zone, unsigned char cKind='_')
| try to read a field type
std::shared_ptr< SWFieldManagerInternal::Field > | readPersistField (StarZone &zone, long lastPos)
| try to read a persist field type

## Private Attributes

std::shared_ptr< SWFieldManagerInternal::State > | m_state
| the state

## Detailed Description

the main class to read/.

. a StarOffice sdw field

## Constructor & Destructor Documentation

## SWFieldManager()

SWFieldManager::SWFieldManager | ( |  | ) |

constructor

## ~SWFieldManager()

SWFieldManager::~SWFieldManager | ( |  | ) |

virtual

destructor

## Member Function Documentation

## readField()

std::shared_ptr< SWFieldManagerInternal::Field > SWFieldManager::readField | ( | StarZone & | zone,
|  | unsigned char | cKind = '_' )

try to read a field type

Referenced by StarCharAttribute::StarCAttributeField::read(), StarObjectPageStyle::read(), StarTableInternal::Table::read(), and StarObjectText::readWriterDocument().

## readPersistField()

std::shared_ptr< SWFieldManagerInternal::Field > SWFieldManager::readPersistField | ( | StarZone & | zone,
|  | long | lastPos )

try to read a persist field type

Referenced by StarCharAttribute::StarCAttributeField::read().

## Member Data Documentation

## m_state

std::shared_ptr<SWFieldManagerInternal::State> SWFieldManager::m_state

private

the state

Referenced by SWFieldManager().

The documentation for this class was generated from the following files:

- SWFieldManager.hxx
- SWFieldManager.cxx